Get Groups
curl --request GET \
--url https://api.16tms.com/api/v1/groups \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.16tms.com/api/v1/groups"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.16tms.com/api/v1/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Tournament groups fetched successfully",
"data": {
"items": [
{
"id": "61e28f2f-367a-4cfc-8488-3a3aa4e4e04e",
"tournamentRoundId": "44accbab-48f7-4fe0-8085-df45903863a8",
"groupName": "Group 2",
"maxParticipants": 2,
"participantCount": 1,
"versions": [
1
]
},
{
"id": "ee6c62d0-0802-4327-9961-5ed446f5702f",
"tournamentRoundId": "44accbab-48f7-4fe0-8085-df45903863a8",
"groupName": "Group 1",
"maxParticipants": 2,
"participantCount": 1,
"versions": [
1
]
}
],
"totalCount": 2,
"pageNumber": 1,
"pageSize": 20,
"totalPages": 1
},
"meta": {
"traceId": "00-6d8642838e87422cf7542f4ffd03d43c-12bb91840eab74d5-00",
"elapsedMs": 5.19,
"serverTimestamp": "2026-02-17T12:23:19.2748999Z"
}
}API Reference
Get Groups
Fetch a list of groups for a specific round.
GET
/
groups
Get Groups
Authorizations
API key for authentication.
Query Parameters
The unique identifier of the round to fetch groups for.
⌘I